# 2.1 Built-in Types

The following sections describe the standard types that are built into the interpreter. These are the numeric types, sequence types, and several others, including types themselves. There is no explicit Boolean type; use integers instead.

Some operations are supported by several object types; in particular, all objects can be compared, tested for truth value, and converted to a string (with the ``...`` notation). The latter conversion is implicitly used when an object is written by the `print` statement.

- 2.1.1 Truth Value Testing
- 2.1.2 Boolean Operations
- 2.1.3 Comparisons
- 2.1.4 Numeric Types
  - Bit-string Operations on Integer Types
- 2.1.5 Sequence Types
  - More String Operations
  - Mutable Sequence Types
- 2.1.6 Mapping Types
- 2.1.7 Other Built-in Types
  - Modules
  - Classes and Class Instances
  - Functions
  - Methods
  - Code Objects
  - Type Objects
  - The Null Object
  - File Objects
  - Internal Objects
- 2.1.8 Special Attributes